{  X-Mailer

   OPEN SOURCE

   Programmiert von Bernd Dietzel (c)2003-2005  www.x-mailer.info  www.barret.de

   Programmiersprache Borland Delphi 7

   Bentigte Komponente : Indy 9   www.indyproject.org
}

unit pfad;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Registry, FileCtrl, ExtCtrls;

type
  TPfade = class(TForm)
    Pfadespeichern: TBitBtn;
    abbrechen: TBitBtn;
    Standard: TBitBtn;
    GroupBoxIni: TGroupBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBoxini: TDirectoryListBox;
    LabelIniPfad: TLabel;
    GroupBoxMail: TGroupBox;
    LabelMailpfad: TLabel;
    DirectoryListBoxMail: TDirectoryListBox;
    DriveComboBox2: TDriveComboBox;
    Image4: TImage;
    procedure PfadespeichernClick(Sender: TObject);
    procedure abbrechenClick(Sender: TObject);
    procedure StandardClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    function TXT(TXTNr:integer):String;  {##Textstrings##}
  end;

var
  TXTs: TStringlist; {##extracted text vom Source##}
  Pfade: TPfade;
  AlteMails :string; { Alter Pfad zu X-Mails }
  AlteINI   :String; { Alter Pfad zu X-Einst }

implementation

uses XMAIL61,gnugettext;

{$R *.dfm}
 
{#### TEXT-STRINGS FROM SOURCE (c) 2004 by Bernd Dietzel  www.barret.de/textfromsource.zip ####}
function TPfade.TXT(TXTNr:integer):String;
begin
 if not Assigned(TXTs) then
 begin
  TXTs:=Tstringlist.create;
  with TXTs do begin
          {------- text list  -- Only Translate Intems with the {T}
{0}       Add(form1.TXT(276)); // \Software\Clients\Mail\XMAILER
{1}       Add(form1.TXT(278)); // ##X-Mails##
{2}       Add(form1.TXT(277)); // ##X-Einst##
{3}    {T}Add(_('X-Mailer Pfade in Systemregistrierung gespeichert'));
{4}    {T}Add(_('Kopieren Sie ggf. ihre alten Einstellungen in den neuen Pfad'));
{5}    {T}Add(_('X-Mailer neu starten!'));
{6}       Add(form1.TXT(274));  // ##X-Einst\##
{7}       Add(form1.TXT(275));  // ##X-Mails\##
  end;
 end;
 Result := TXTs[TXTNr];
end;


procedure TPfade.FormCreate(Sender: TObject);
begin
TranslateComponent (self);  {  gnugettext }
end;


procedure TPfade.PfadespeichernClick(Sender: TObject);
var
 ReX: TRegistry;
begin
  { --- HKEY LOCAL MACHINE --- }
  ReX := TRegistry.Create;
  try
    ReX.RootKey := HKEY_LOCAL_MACHINE;
    if ReX.OpenKey(TXT(0) {##\Software\Clients\Mail\XMAILER##} , True) then
    begin
      ReX.WriteString(TXT(1) {##X-Mails##} ,labelmailpfad.caption);
      ReX.WriteString(TXT(2) {##X-Einst##} ,labelinipfad.caption);
      ReX.CloseKey;
    end;
  finally
    ReX.Free;
    inherited;
  end;

   MessageDlg(TXT(3) {##X-Mailer Pfade in Systemregistrierung gespeichert##} +#10+#13+#10+#13+
   TXT(4) {##Kopieren Sie ggf. ihre alten Einstellungen in den neuen Pfad##}
   +#10+#13+#10+#13+TXT(5) {##X-Mailer neu starten!##} , mtConfirmation,[mbOK], 0);
   Pfade.close;
   form1.close;
end;

procedure TPfade.abbrechenClick(Sender: TObject);
begin
 directorylistboxINI.Directory :=AlteINI;   { Abbruch, alte Werte wieder herstellen }
 directorylistboxMail.Directory:=ALTEMAILS;
 pfade.close;
end;

procedure TPfade.StandardClick(Sender: TObject);
var
 s:string;
begin
  S := IncludeTrailingPathDelimiter(ExtractFileDir(Application.exename)); //starting directory
  directorylistboxINI.Directory :=S + TXT(6) {##X-Einst\##} ;  { Backslash am Ende }
  directorylistboxMail.Directory:=S + TXT(7) {##X-Mails\##} ;
end;


procedure TPfade.FormShow(Sender: TObject);
begin
 AlteINI  :=labelinipfad.caption;
 ALTEMAILS:=labelmailpfad.caption;
end;

end.
