{  X-Mailer

   OPEN SOURCE

   Programmiert von Bernd Dietzel (c)2003-2005  www.x-mailer.info  www.barret.de

   Programmiersprache Borland Delphi 7

   Bentigte Komponente : Indy 9   www.indyproject.org
}


unit INFO1;  { Update - Infos anzeigen }
             { Funktion diente als Xmailer keine Freeware war auch zur Registrierung des Users }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ActnList, ExtActns, INIFILES, ExtCtrls;

type
  TINFO = class(TForm)
    MemoINFO: TMemo;
    AusfuehrenButton: TBitBtn;
    ActionList1: TActionList;
    DownLoadRegInfo: TDownLoadURL;
    Editreg: TEdit;
    endebutton: TBitBtn;
    Timer1: TTimer;
    LabelReg: TLabel;
    Shop: TBrowseURL;
    BitBtnUpdate: TBitBtn;
    PanelXmailerStatus: TPanel;
    Image1: TImage;
    Status: TPanel;
    LabelInternet: TLabel;
    Labellocal: TLabel;
    Image7: TImage;
    procedure AusfuehrenButtonClick(Sender: TObject);
    procedure endebuttonClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure RegistrierungClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    function TXT(TXTNr:integer):String;  {##Textstrings##}
  end;

var
  TXTs: TStringlist; {##extracted text vom Source##}
  INFO: TINFO;
  counter: integer;

implementation

uses XMAIL61,gnugettext;

{$R *.dfm}
 
{#### TEXT-STRINGS FROM SOURCE (c) 2004 by Bernd Dietzel  www.barret.de/textfromsource.zip ####} 
function TINFO.TXT(TXTNr:integer):String;
begin
 if not Assigned(TXTs) then
 begin
  TXTs:=Tstringlist.create;
  with TXTs do begin
          {------- text list  -- Only Translate Intems with the {T}
{0}      Add('false');
{1}      Add('INFO');
{2}      Add('ERROR');
{3}      Add('BUILD');
{4}   {T}Add(_('Info-Datei nicht gefunden, erst Infos laden'));
{5}      Add('true');
{6}      Add('USER');
{7}      Add('Normal');    // speichern, intern
{8}   {T}Add(_('Status: unregistriert, bitte registrieren!'));
{9}   {T}Add(_('Passwort')+' ');
{10}  {T}Add(' '+_('unbekannt'));
{11}  {T}Add('   '+_('Registriert:')+' ');
{12}  {T}Add(_('Status: Registriert :')+' ');
{13}  {T}Add(_('Registrierung nicht geladen'));
{14}  {T}Add(_('Registrierung geladen'));
{15}  {T}Add(_('Updatecheck...'));
  end;
 end;
 Result := TXTs[TXTNr];
end;


procedure TINFO.FormCreate(Sender: TObject);
begin
TranslateComponent (self);  {  gnugettext }
end;


procedure TINFO.AusfuehrenButtonClick(Sender: TObject);
var
 S,ISTTRUE:string;
 i,posi:integer;
 Barret1:Tinifile;
 code:word;
begin
 ISTTRUE:=TXT(0) {##false##} ;
 reg:=false;
 if fileexists(Downloadreginfo.Filename) then    { Datei aus Internet heruntergeladen ? }
 begin
  Barret1:= TIniFile.Create(Downloadreginfo.Filename);    { INFO-Zeilen }
    for i:=1 to 500 do
    begin
     S:=Barret1.readstring(TXT(1) {##INFO##} ,inttostr(i),TXT(2) {##ERROR##} );
     if S<>TXT(2) {##ERROR##}  then memoinfo.Lines.add(s);
    end;
    ISTTRUE:=Barret1.readstring(TXT(1) {##INFO##} ,lowercase(editREG.Text),TXT(0) {##false##} ); { Text "FREEWARE" }
    BUILDNR:=Barret1.readstring(TXT(1) {##INFO##} ,TXT(3) {##BUILD##} ,' '); { Build Nr. }
  Barret1.Free;

  form1.loesche(Downloadreginfo.Filename);
 end
 else
 begin
   if sender=self then MessageDlg(TXT(4) {##Info-Datei nicht gefunden, erst Infos laden##} , mtinformation,[mbYes ], 0);
 end;

  Barret1:= TIniFile.Create(inidefault);
    if ISTTRUE=TXT(5) {##true##}  then
    begin
     reg:=true;
     {if sender=self then MessageDlg("Registrierung OK", mtinformation,[mbYes ], 0); }
    end;
    Barret1.writestring(TXT(6) {##USER##} ,TXT(1) {##INFO##} ,editREG.text); { Text "FREEWARE" }
  Barret1.Free; 

  S:=ininame;
  ininame:=inidefault;
  form1.speichern(TXT(7) {##Normal##} );
  ininame:=S;

  if reg=false then form1.status.Caption:=TXT(8) {##Status: unregistriert, bitte registrieren!##} ;
  if reg=false then if sender=self then MessageDlg(TXT(9) {##Passwort ##} +#34+editREG.Text+#34+TXT(10) {## unbekannt##} , mtinformation,[mbNo ], 0);
  if reg=true then begin
   S:=editreg.Text;
   posi:=pos('-',S);
   if posi>0 then S:=copy(S,1,posi-1);
   form1.Caption:=form1.caption+TXT(11) {##   Registriert: ##} +S;
   form1.status.Caption:=TXT(12) {##Status: Registriert : ##} +S;
  end;

end;

procedure TINFO.endebuttonClick(Sender: TObject);
begin
 INFO.close;
end;

procedure TINFO.Timer1Timer(Sender: TObject);
begin
 Counter:=Counter+1;
 if counter=4 then     { nach 4sec aufhren }
 begin
  info.caption:=TXT(13) {##Registrierung nicht geladen##} ;
  timer1.enabled:=false;
  counter:=0;
 end;
 if fileexists(Downloadreginfo.Filename) then    { Datei aus Internet heruntergeladen ? }
 begin
  info.caption:=TXT(14) {##Registrierung geladen##} ;
  timer1.enabled:=false;
 end;
end;

procedure TINFO.FormShow(Sender: TObject);
begin
 counter:=0;
 timer1.enabled:=false;
end;

procedure TINFO.RegistrierungClick(Sender: TObject);
begin
 info.caption:=TXT(1) {##INFO##} ;
 if form1.AutoupdateEIN1.checked= true  then form1.status.Caption:=TXT(15) {##Updatecheck...##} ;
 DownloadRegInfo.execute;
 counter:=0;
 timer1.enabled:=true;          { warten bis Datei heruntergeladen }
 while info.caption=TXT(1) {##INFO##}  do
 begin
  application.processmessages;
 end;
 AusfuehrenButtonClick(Sender); { Prfen ob ok }
 info.caption:=TXT(1) {##INFO##} ;
end;




end.
