{  X-Mailer

   OPEN SOURCE

   Programmiert von Bernd Dietzel (c)2003-2005  www.x-mailer.info  www.barret.de

   Programmiersprache Borland Delphi 7

   Bentigte Komponente : Indy 9   www.indyproject.org
}



{ **** SEARCH ROBOT - Senden ohne eigenen Mail  Account ****}
{ Diese Funktion ist eine Erweiterung von "Testmail an mich selbst senden" ... fMain3 }
{ und steuert Routinen aus fMain3 an  }
unit relay3;


interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ComCtrls, Mask, FileCtrl, jpeg, ToolWin;

type
  TROBOT = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    MemoRelay: TMemo;
    ROBOTGO: TBitBtn;
    SchliessenBtn: TBitBtn;
    keinSpam: TLabel;
    MemoGO: TMemo;
    MemoBAD: TMemo;
    ButtonRetry: TBitBtn;
    PanelTexte: TPanel;
    PanelDNS: TPanel;
    StaticText2: TStaticText;
    edtTimeout: TMaskEdit;
    PanelEmpfaenger: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Splitter1: TSplitter;
    MemoGUTserver: TMemo;
    MemoSchlechtServer: TMemo;
    Label3: TLabel;
    Label4: TLabel;
    edtNameServer: TEdit;
    MemoMailserver: TMemo;
    Label5: TLabel;
    ButtonAblage: TButton;
    Label6: TLabel;
    MemoGesendet: TMemo;
    Paneloben: TPanel;
    Panelrobotbild: TPanel;
    Image1: TImage;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    PanelXmailerStatus: TPanel;
    Image2: TImage;
    Status: TPanel;
    Image7: TImage;
    procedure ROBOTGOClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SchliessenBtnClick(Sender: TObject);
    procedure ButtonRetryClick(Sender: TObject);
    procedure edtNameServerChange(Sender: TObject);
    procedure edtTimeoutChange(Sender: TObject);
    procedure ButtonAblageClick(Sender: TObject);
    procedure MemoMailserverChange(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    function TXT(TXTNr:integer):String;  {##Textstrings##}
  end;

var
  TXTs: TStringlist; {##extracted text vom Source##}
  ROBOT: TROBOT;

implementation

uses fMain3, XMAIL61, Main,gnugettext;

{$R *.dfm}
 
{#### TEXT-STRINGS FROM SOURCE (c) 2004 by Bernd Dietzel  www.barret.de/textfromsource.zip ####} 
function TROBOT.TXT(TXTNr:integer):String;
begin
 if not Assigned(TXTs) then
 begin
  TXTs:=Tstringlist.create;
  with TXTs do begin
         {------- text list  -- Only Translate Intems with the {T}
{0}   {T}Add(_(' Sie haben keinen eigenen SMTP-Mailserver eingetragen.'));
{1}   {T}Add(_(' Normalerweise kann man ohne SMTP-Mailserver keine Mails senden.'));
{2}   {T}Add(_(' Der X-Mailer SEARCH-ROBOT  kann ihnen im Notfall aber helfen,'));
{3}   {T}Add(_(' indem er versucht direkt ber die Mailserver der Empfnger zu senden.'));
{4}   {T}Add(_(' Dabei wird an jeden Empfnger eine separate Kopie der Mail gesendet.'));
{5}   {T}Add(form1.TXT(325));  // X-MAILER SEARCH-ROBOT (Postausgang)
{6}   {T}Add(form1.TXT(324));  // X-MAILER SEARCH-ROBOT
{7}      Add(form1.TXT(197));  // intern ROBOT
{8}   {T}Add(form1.txt(4));    // AUS   (emailspeichern)
{9}   {T}Add(_('SEARCH-ROBOT  ** beendet **'));          // siehe auch unitpostaus
{10}  {T}Add(form1.TXT(351)); // intern ##ABBRUCH##
{11}  {T}Add(form1.TXT(135));  // Status: bereit.
{12}     Add('FILE:///');
  end;
 end;
 Result := TXTs[TXTNr];
end;


procedure TROBOT.FormCreate(Sender: TObject);
begin
   TranslateComponent (self);  {  gnugettext }
end;

procedure TROBOT.FormShow(Sender: TObject);
var
 i:integer;

begin
 form1.TimerStatus.Enabled:=false;   { Status von Form1 soll Status vom Robot nicht stren }
 frmMainAbbrechen:=false;
 if robotgo.visible=true then RobotGO.setfocus; { Startknopf ein }
 ROBOT.ShowHint:=form1.ShowHint;
 Memorelay.Clear;
 Memorelay.lines.add(' ');
 Memorelay.lines.add(TXT(0) {## Sie haben keinen eigenen SMTP-Mailserver eingetragen.##} );
 Memorelay.lines.add(' ');
 Memorelay.lines.add(TXT(1) {## Normalerweise kann man ohne SMTP-Mailserver keine Mails senden.##} );
 Memorelay.lines.add(' ');
 Memorelay.lines.add(TXT(2) {## Der X-Mailer SEARCH-ROBOT  kann ihnen im Notfall aber helfen,##} );
 Memorelay.lines.add(' ');
 Memorelay.lines.add(TXT(3) {## indem er versucht direkt ber die Mailserver der Empfnger zu senden.##} );
 Memorelay.lines.add(' ');
 Memorelay.lines.add(TXT(4) {## Dabei wird an jeden Empfnger eine separate Kopie der Mail gesendet.##} );
 Memorelay.lines.add(' ');

 { Leere Felder }
 MemoGO.clear;
 MemoBAD.Clear;
 MemoGesendet.clear;
 MemoMailserver.clear;
 MemoSchlechtserver.clear;
 ButtonRetry.Visible:=false;

 { Da mit dem Robot nur jeweils an einen Empfnger gleichzeitig gesendet werden kann,
   AN: , CC: und BCC: nacheinander abarbeiten
   Erster Kopieempfnger : AN                                            }
 MemoGO.lines.add(form1.mailto.text);
 for i:=0 to form1.cc.lines.count-1  do MemoGO.lines.add(form1.cc.lines[i]);
 for i:=0 to form1.bcc.lines.count-1 do MemoGO.lines.add(form1.bcc.lines[i])
end;



procedure TROBOT.ROBOTGOClick(Sender: TObject);
var
 nochmal,i:integer;
 NichtGesendet,S:string;
begin
 Nochmal:=2;

 {wenn Robot vom Postausgang aufgerufen wird, dann unsichtbar }
 if frmMain3.Caption=TXT(5) {##X-MAILER SEARCH-ROBOT (Postausgang)##}  then
  Robotgo.Visible:=false else Robotgo.Visible:=true;;

 { Nochmal = wiederholen bei Fehlversuch }
 Robot.caption:=TXT(6) {##SEARCH-ROBOT##} ;
 while Nochmal>0 do
 begin
  frmMain3.Sendmail;
  if Memobad.Lines.count=0 then Nochmal:=0 else
  begin
   dec(Nochmal);

  { sicherheitshalber Nameserver als schlecht einreihen nach Fehlversuch }
  if MemoSchlechtServer.Lines.IndexOf(edtnameserver.text)=-1 then
  MemoSchlechtServer.Lines.add(edtnameserver.text);
  MemoSchlechtserver.update;
  application.processmessages;

   ButtonRetryClick(self); { in frheren Versionen musste Benutzer selbst klicken }
  end
 end;

  Memobad.Update;
  MemoGo.Update;

  { ---an nicht gesendete Empfnger bei Postausgang wieder als einzelne Mail in Postausgang sichern --- }
  if frmMain3.Caption=TXT(5) {##X-MAILER SEARCH-ROBOT (Postausgang)##}  then
  begin

   if memobad.Lines.count>0 then { nicht gesendet an }
   begin
     S:=form1.mailto.Text;
     for i:=0 to Memobad.lines.count-1 do
     begin
      NichtGesendet:=Memobad.lines[i];
      if NichtGesendet<>'' then
      begin
       form1.mailto.Text:=NichtGesendet;
       form1.mailto.Update;
       Form1.EMAILSPEICHERN(XmailerAusgang,TXT(7) {##ROBOT##} ,TXT(8) {##AUS##}  );
      end;
     end;
     form1.mailto.Text:=S;
     form1.mailto.Update;
   end;


   if memoGO.Lines.count>0 then  { nicht gesendete Empfnger in Entwrfen sichern}
   begin
     S:=form1.mailto.Text;
     for i:=0 to MemoGO.lines.count-1 do
     begin
      NichtGesendet:=MemoGO.lines[i];
      if NichtGesendet<>'' then
      begin
       if memobad.Lines.IndexOf(Nichtgesendet)=-1 then  {nicht doppelt speichern MemoGO+Memobad Empfnger }
       begin
        form1.mailto.Text:=NichtGesendet;
        form1.mailto.Update;
        Form1.EMAILSPEICHERN(XmailerEntwurf,TXT(7) {##ROBOT##} ,TXT(8) {##AUS##}  );
       end;
      end;
     end;

     form1.mailto.Text:=S;
     form1.mailto.Update;
   end;
  end;

  Robot.caption:=TXT(9) {##SEARCH-ROBOT  ** beendet **##} ;  { wird im Postausgang abgefragt }

end;


procedure TROBOT.SchliessenBtnClick(Sender: TObject);
begin
 Status.caption:=TXT(10) {##ABBRUCH##} ; { wird in frmMain abgefragt }
 frmMainAbbrechen:=true;
 form1.status.caption:=TXT(11) {##Status: bereit##} ;
 ROBOT.close;
end;

procedure TROBOT.ButtonRetryClick(Sender: TObject);
begin
 application.ProcessMessages;
 ButtonRetry.Visible:=false;  { in frheren Versionen musste Benutzer selbst klicken }
end;

procedure TROBOT.edtNameServerChange(Sender: TObject);
begin
 { Nameserver von frmmain3 bernehmen }
 frmMain3.edtNameServer.Text:=edtNameServer.Text;
end;

procedure TROBOT.edtTimeoutChange(Sender: TObject);
begin
 { Timeout fr Server-Reaktion von frmmain3 bernehmen }
 frmMain3.edtTimeout.Text:=edtTimeout.Text;
end;

procedure TROBOT.ButtonAblageClick(Sender: TObject);
begin
  { Ordner desendete Mails im Explorer ansehen }
  GETMAILFORM.BrowseXMAILERhtm.URL:=
  IncludeTrailingPathDelimiter(TXT(12) {##FILE:///##} +XMailerGesendet);
  GETMAILFORM.BrowseXMAILERhtm.Execute;
end;

procedure TROBOT.MemoMailserverChange(Sender: TObject);
begin
 { Liste der gefundenen Mailserver auch bei Testmail an mich selbst anzeigen }
 frmmain3.Memoservers.Lines:=MemoMailserver.lines;
end;

procedure TROBOT.ToolButton1Click(Sender: TObject);
begin
{ Bild aus }
//Form1.terminator3Click(self);
end;

procedure TROBOT.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  form1.TimerStatus.Enabled:=true;
end;


end.
